Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaget
Class FiltriRicercaPrescrizioneRiabilitativa

    java.lang.Object
      it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaget.FiltriRicercaPrescrizioneRiabilitativa

    public class FiltriRicercaPrescrizioneRiabilitativa

extends java.lang.Object

Filtri di ricerca attraverso i quali è possibile pervenire ad una individuazione di una prescrizione riabilitativa

Author:
  SantovitoM

Field Summary
`private AssistitoPrescrizione` | `assistito` Dati identificativi dell'assistito
`private java.lang.String` | `codiceNazAslConvenzione` Codice nazionale della ASL con cui risultano convenzionate le strutture riabilitative di cui si vogliono consultare le prescrizioni riabilitative.
`private int` | `codicePrescrittore` Codice del medico prescrittore sia esso un MMG/PLS o specialista pubblico(dipendente o convenzionato interno)
`private java.lang.String` | `codiceStrutturaRiabilitativa` Codice identificativo della struttura riabilitativa.
`private java.lang.String` | `dataErogazione` Data di erogazione della prescrizione
`private java.lang.String` | `dataRilascioRicetta` Data di rilascio della ricetta SSN su cui è indicata la prescrizione riabilitativa

Constructor Summary
`FiltriRicercaPrescrizioneRiabilitativa()`

Method Summary
`AssistitoPrescrizione` | `getAssistito()`
`java.lang.String` | `getCodiceNazAslConvenzione()`
`int` | `getCodicePrescrittore()`
`java.lang.String` | `getCodiceStrutturaRiabilitativa()`
`java.lang.String` | `getDataErogazione()`
`java.lang.String` | `getDataRilascioRicetta()`
`void` | `setAssistito(AssistitoPrescrizione assistito)`
`void` | `setCodiceNazAslConvenzione(java.lang.String codiceNazAslConvenzione)`
`void` | `setCodicePrescrittore(int codicePrescrittore)`
`void` | `setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)`
`void` | `setDataErogazione(java.lang.String dataErogazione)`
`void` | `setDataRilascioRicetta(java.lang.String dataRilascioRicetta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assistito

    private AssistitoPrescrizione assistito

  Dati identificativi dell'assistito

### dataErogazione

    private java.lang.String dataErogazione

  Data di erogazione della prescrizione

### dataRilascioRicetta

    private java.lang.String dataRilascioRicetta

  Data di rilascio della ricetta SSN su cui è indicata la prescrizione riabilitativa

### codicePrescrittore

    private int codicePrescrittore

  Codice del medico prescrittore sia esso un MMG/PLS o specialista pubblico(dipendente o convenzionato interno)

### codiceStrutturaRiabilitativa

    @MinOccurs(value=0L)
    private java.lang.String codiceStrutturaRiabilitativa

  Codice identificativo della struttura riabilitativa. Si tratta di un codice con caratteri numerici di lunghezza pari a 6.

### codiceNazAslConvenzione

    private java.lang.String codiceNazAslConvenzione

  Codice nazionale della ASL con cui risultano convenzionate le strutture riabilitative di cui si vogliono consultare le prescrizioni riabilitative.

Constructor Detail

### FiltriRicercaPrescrizioneRiabilitativa

    public FiltriRicercaPrescrizioneRiabilitativa()

Method Detail

### getAssistito

    public AssistitoPrescrizione getAssistito()

### setAssistito

    public void setAssistito(AssistitoPrescrizione assistito)

### getDataErogazione

    public java.lang.String getDataErogazione()

### setDataErogazione

    public void setDataErogazione(java.lang.String dataErogazione)

### getDataRilascioRicetta

    public java.lang.String getDataRilascioRicetta()

### setDataRilascioRicetta

    public void setDataRilascioRicetta(java.lang.String dataRilascioRicetta)

### getCodicePrescrittore

    public int getCodicePrescrittore()

### setCodicePrescrittore

    public void setCodicePrescrittore(int codicePrescrittore)

### setCodiceStrutturaRiabilitativa

    public void setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)

### getCodiceStrutturaRiabilitativa

    public java.lang.String getCodiceStrutturaRiabilitativa()

### setCodiceNazAslConvenzione

    public void setCodiceNazAslConvenzione(java.lang.String codiceNazAslConvenzione)

### getCodiceNazAslConvenzione

    public java.lang.String getCodiceNazAslConvenzione()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD